#include "systemc.h"
#include "modc.h"
#include "modd.h"


SC_MODULE(mody) {
   sc_inslave<int> p5;
   sc_link_mp<int> ch2;
   
   int test;
   modc C1;   //module instantiation
   modd D1;   //module instantiation
   
   SC_CTOR(mody) : C1("modc"), D1("modd") {
      C1.p6(p5);
      C1.p7(ch2);
      
      D1.p8(ch2);
      
   }
};
